Package: org.gradle.tooling.events.task

## [Java] Interface TaskOperationDescriptor

- org.gradle.tooling.events.task.TaskOperationDescriptor

- All Superinterfaces:
    OperationDescriptor

  Describes a task operation for which an event has occurred.

  Since:
    2.5

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getTaskPath()` Returns the path of the task.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface OperationDescriptor` | `getDisplayName, getName, getParent`

- - ### Method Detail

    - #### public String getTaskPath()

      Returns the path of the task.